WordPress.org

Ready to get started?Download WordPress

Forums

BulletProof Security
[resolved] MutiSite problems (7 posts)

  1. mayday
    Member
    Posted 2 years ago #

    I have a new install of WP with no other plugins other than the domain mapping one. MultiSite is enabled and working. I followed the steps to install BP, creating the secure file. When I activate bulletproof mode for either the root folder or the wp-admin folder, I get a 500 server error, crashing the site. Comes back deleting/replacing the htaccess file with the original.
    Possibly I missed something in your code modifications for multisite. I did not understand completely.
    http://www.jebcommerce.net is the main site.

    http://wordpress.org/extend/plugins/bulletproof-security/

  2. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    Additional Information About BPS and WordPress Network / MU Websites

    Do not Network Activate BPS.
    BPS Should only be activated on the Primary Site.
    BPS AutoMagic buttons should ONLY be used on the Primary Site.
    MU sub sites are virtual sites – BulletProof Modes should NOT be activated on sub sites.
    ONLY Super Admins can see the BPS menu in sub sites for both BPS Free and BPS Pro.
    If a Site Admin tries to view BPS Settings or BPS pages a Super Admins Permissions Error message is displayed.

    There is a coding correction that needs to be made for MU in .46.8 and will included in .46.9. On code line 33 in the /bulletproof-security/admin/includes/admin.php file change the menu code to this code below.

    From:

    // BPS Menu
    function bulletproof_security_admin_menu() {
    	if (is_multisite() && !is_super_admin()) {
    		echo 'Only Super Admins can access BPS';

    To:

    // BPS Menu
    function bulletproof_security_admin_menu() {
    	if (is_multisite() && !is_super_admin()) {
    		$bpsSuperAdminsError = 'Only Super Admins can access BPS';
      		return $bpsSuperAdminsError;

    Another thing that can cause a 500 error:
    Your web host does not allow Options -Indexes to be used in .htaccess files. Comment it out in the Root .htaccess file.

  3. mayday
    Member
    Posted 2 years ago #

    Thanks for your help.
    Yes, I have not network activated BPS and I am trying to activate on the primary site ID=1. I used the 3rd set of AutoMagic buttons with green 'use this'. I made the changes to admin.php and commented out Options -Indexes.
    Still getting the 500 server error. Any other places to check?

  4. mayday
    Member
    Posted 2 years ago #

    What about the instructions on your site here:
    http://www.ait-pro.com/aitpro-blog/1166/bulletproof-security-plugin-support/bulletproof-security-plugin-guide-bps-version-45/#wordpress-mu

    This is confusing:
    "You will then need to delete the existing section of .htaccess code in the secure.htaccess file that starts with # BEGIN WordPress and ends with # END WordPress."
    That is the majority of code.

  5. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    At the top of the BPS Guide post you will see this:

    All information below this point is older Bulletproof Security version information – everything in BPS is automated these days, but if you are looking for some manual instructions or other info - read on. After the release of BPS .46.5 a lot of this information became obsolete.

    We are planning a complete website design in May or June. Currently we do not have time to do this. The guide is outdated and obsolete and really no longer necessary. Other pages are current such as the plugin compatibility checking pages and any other pages that are critical.

    It is possible that the Master .htaccess file has been corrupted. It is rare but it does happen. Uninstall BPS and reinstall it and before you create a new Master secure.htaccess file, download a copy of the secure.htaccess Master file. Then continue to use AutoMagic and create a new Master .htaccess file and activate Root BulletProof Mode.

    If you are still getting 500 errors then use secure.htaccess file you manually downloaded and edit it manually with your correct RewriteBase and RewriteRule and then upload it and rename it to just .htaccess. I have seen a couple of smaller hosting outfits that will corrupt the .htaccess file when you use AutoMagic - this is very rare also.

    I have never heard of your web host before so maybe check with them if all the above things do not work >>> Interlink Advantage-INTERL-83. What you can do is send them a copy of the secure.htaccess file and ask them if they do not allow anything in that .htaccess file.

  6. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    Another possible cause for this issue could be if you are using a cPanel tool called HotLink Protection. See this post for details >>> http://wordpress.org/support/topic/plugin-bulletproof-security-htaccess-files-keep-losing-bulletproof-security-code

  7. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    Resolving due to lack of response.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic